Author Topic: How to select objects from exploded block?  (Read 1527 times)

0 Members and 1 Guest are viewing this topic.

valerik88

  • Guest
How to select objects from exploded block?
« on: July 19, 2016, 02:43:39 PM »
I have some block vlaB that consists of some objects, so I explode and delete it by
Code: [Select]
(vla-Explode vlaB)
(vla-delete vlaB)
So block have been deleted, and there are some objects that was inside my block.
How to get list of this objects, that come in sight after exploding block?

ronjonp

  • Needs a day job
  • Posts: 7527
Re: How to select objects from exploded block?
« Reply #1 on: July 19, 2016, 02:54:51 PM »
Here are a couple of ways:
Code - Auto/Visual Lisp: [Select]
  1. (vlax-safearray->list (vlax-variant-value (vla-explode (vlax-ename->vla-object (car (entsel))))))
  2. (vlax-invoke (vlax-ename->vla-object (car (entsel))) 'explode)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

hmspe

  • Bull Frog
  • Posts: 362
Re: How to select objects from exploded block?
« Reply #2 on: July 19, 2016, 06:58:59 PM »
acet-explode also works.  It is a built-in command in Bricscad.
"Science is the belief in the ignorance of experts." - Richard Feynman

valerik88

  • Guest
Re: How to select objects from exploded block?
« Reply #3 on: July 20, 2016, 01:29:27 PM »
Here are a couple of ways:
Code - Auto/Visual Lisp: [Select]
  1. (vlax-safearray->list (vlax-variant-value (vla-explode (vlax-ename->vla-object (car (entsel))))))
  2. (vlax-invoke (vlax-ename->vla-object (car (entsel))) 'explode)

Thanks